REM Simple batch script to run benchmarks and generate pictures
REM Slightly modified from Thomas S. Iversen 2006

set filename=SumFunctions

REM Generate new benchmark data?
if not "%1"=="redobenchmark" goto skipbenchmark
..\CoreCalc "%filename%.cs"
:skipbenchmark

REM Generate ploticus plot script
BenchmarkToPloticus "%filename%.xml" "hbars.ploticus.template.txt" %filename%.ploticus

REM Generate gif picture
pl -gif %filename%.ploticus
del %filename%.gif
ren out %filename%.gif

REM Generate eps file.
pl -eps %filename%.ploticus
del %filename%.eps
ren out %filename%.eps
